Name:		maven-toolchains-plugin
Version:	1.0
Release:	%mkrel 3
Summary:	Maven plugin for sharing configuration across projects

Group:		Development/Java
License:	ASL 2.0
URL:		http://maven.apache.org/plugins/maven-toolchains-plugin/
Source0:	http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
# Dep on plexus-container-default is needed, otherwise a wrong implementation of
# PlexusConfiguration class is taken from sisu-inject-plexus.jar
Patch0:		%{name}-plexus.patch

BuildArch:	noarch

BuildRequires:	java
BuildRequires:	maven
BuildRequires:	jpackage-utils
BuildRequires:	plexus-container-default
BuildRequires:	maven-surefire-provider-junit4

Requires:	java
Requires:	maven
Requires:	jpackage-utils

%description
The Toolchains Plugins allows to share configuration across plugins. For
example to make sure the plugins like compiler, surefire, javadoc, webstart
etc. all use the same JDK for execution. Similarly to maven-enforcer-plugin, it
allows to control environmental constraints in the build.

%package javadoc
Summary:	API documentation for %{name}
Group:		Development/Java
Requires:	jpackage-utils

%description javadoc
The API documentation of %{name}.


%prep
%setup -q
%patch0 -p1

rm -rf bin

%build
mvn-rpmbuild install javadoc:aggregate 

%install
# JAR
install -Dpm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# JavaDoc
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 359802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Update to 1.0 final

* Sat Nov 05 2011 gil <gil> 1.0-2.mga2
+ Revision: 163085
- add maven-checkstyle-plugin support, removed patch0
- imported package maven-toolchains-plugin

